#ifndef _LATTICE_H_
#define _LATTICE_H_

#include "inputData.h"

typedef struct
{
	/* set of input options */
	struct inputData data;
	
	/* volume of lattice = nx * ny * nz */
	int volume;

	/* the current value of beta */
	double beta;

	/* the current value of mu */
	double mu;
	
	double betastep;
	
	double mustep;
	
	/* stores the index of the configuration (which blade?) */
	int latticeIndex;
	
	/* stores the number of processes of this configuration */
	int nodeCount;
    
} lattice;

#endif