#ifndef _STATISTICENTRY_H_
#define _STATISTICENTRY_H_

typedef struct
{
	/* saves the value of the parameter beta */
	double beta;
	
	/* saves the value of the parameter mu */
	double mu;
	
	/* saves the value for the number of He3 particles */
	double N3;
	
	/* saves the value for the number of He4 particles */
	double N4;
	
	/* saves the value for the energy / hamiltonian H */
	double H;
	
	/* saves the value for the specific heat C */
	double C;
	
	/* saves the value for the susceptibility CHI */
	double X;
} statisticEntry;

#endif