#ifndef _UPDATE_H_
#define _UPDATE_H_

#include "global.h"
#include "site.h"
#include "lattice.h"
#include "node.h"
#include "constants.h"
#include <math.h>
#include <stdlib.h>
#include <time.h>
#include "comm.h"

#ifdef MPICOMM
#include "mpi.h"
#endif

void initializeUpdate();

void exchangeGhostsites();

void update(double** lookup, double beta, double mu);

double** createLookup(double beta, double mu);

int getNeighborSum(int index);

#endif