#ifndef _UTILS_H_
#define _UTILS_H_

#include <time.h>
#include <stdio.h>
#include <string.h>
#include <stdarg.h>
#include "global.h"
#include "constants.h"
#include "node.h"
#include "site.h"

// printing on the global master only. Use like printf
void masterPrint(const char* string, ... );

// used for debug printing. If master == 0 only the global master prints, else all print.
// use like printf.
void debugPrint(int master, const char* string, ... );

#endif