#ifndef _LATTICE_IO_H_
#define _LATTICE_IO_H_

#include "global.h"
#include "constants.h"
#include "lattice.h"
#include <time.h>
#include "comm.h"
#include <stdio.h>
#include "utils.h"

#ifdef MPICOMM
#include "mpi.h"
#endif /*MPICOMM*/

int saveLattice(char *fileName, int txtOrBinary);

int loadLattice(char *fileName);

int readLatticeHeader(char* fileName, int checkSize);

#endif