#ifndef _SETSUBLATTICE_H_
#define _SETSUBLATTICE_H_

#include <stdlib.h>
#include "node.h"
#include "lattice.h"
#include "global.h"
#include "constants.h"
#include "inputData.h"
#include "site.h"
#include "lattice_io.h"
#include "utils.h"

void setSubLattice();

void generateRandomConfiguration(int dimx, int dimy, int dimz, int seed);

void determineDimensions(int nx, int ny, int nz);

#endif
